#
# spec file for package wmenu
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wmenu
Version:        0.1.7
Release:        1.2
Summary:        A dynamic menu for Sway and wlroots-based Wayland compositors
License:        MIT
Group:          System/X11/Utilities
URL:            https://sr.ht/~adnano/wmenu
Source:         https://git.sr.ht/~adnano/wmenu/archive/%{version}.tar.gz
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  scdoc
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xkbcommon)
# wmenu wants dmenu_run
Recommends:     dmenu

%description
An dynamic menu for Sway and wlroots based Wayland compositors (requires
wlr_layer_shell_v1 support).

%prep
%autosetup

%build
export CFLAGS="%{optflags}"
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Sun Mar 17 2024 Dirk Müller <dmueller@suse.com>
- update to 0.1.7:
  * scdoc is now an optional dependency
  * wmenu now supports all dmenu keybindings except for C-y
  * wmenu now supports token matching like dmenu
  * Output selection with the -o flag is no longer broken
  * Improved match scrolling behavior
* Mon Feb 26 2024 Joshua Smith <jsmithfpv@gmail.com>
- Update to 0.1.6
  * pool-buffer: Fix type conversion issues
  * Check the return value of pipe
  * pool-buffer: Reduce struct padding
- Updates from 0.1.5:
  * Fix build failure when compiling in release
  * Implement clipboard paste support
- Updates from 0.1.4:
  * pango: Remove unused format specifier
  * Render after reading stdin
  * Drop render_frame on surface_enter
  * Fix crash when some line contains %%
  * readme: Tweak wording
* Fri Mar 17 2023 llyyr <llyyr.public@gmail.com>
- Update to 0.1.3
  * Fix potential buffer overflow
* Tue Feb 21 2023 llyyr <llyyr.public@gmail.com>
- Update to 0.1.2.
* Tue Jan 17 2023 llyyr <llyyr.public@gmail.com>
- Initial package at 0.1.1.
